#!/bin/bash

# Function to list logs on the remote server
list_logs() {
    sshpass -p my_password ssh -t -p 22 -o StrictHostKeyChecking=no root@192.168.13.1 "ls -1 /home/mdc/wks/packager/log/*.log"
}

# Function to display log options
display_log_options() {
    echo "Available log files:"
    local logs=("$@")
    for i in "${!logs[@]}"; do
        echo "$((i + 1))) ${logs[$i]}"
    done
}

# Get the list of logs from the remote server
logs=($(list_logs))

# Display the log options to the user
display_log_options "${logs[@]}"

# Prompt the user to select a log file
read -p "Enter the number of the log file to view: " log_number



# Validate user input
if ! [[ "$log_number" =~ ^[0-9]+$ ]] || [ "$log_number" -le 0 ] || [ "$log_number" -gt "${#logs[@]}" ]; then
    echo "Invalid selection."
    exit 1
fi

# Get the selected log file
selected_log=$(echo "${logs[$((log_number - 1))]}" | tr -d '\r')

# Use sshpass to SSH into the remote server and tail the selected log file
sshpass -p my_password ssh -t -p 22 -o StrictHostKeyChecking=no root@192.168.13.1 "tail -f $selected_log"