#!/bin/bash

#define list of available modules
MODULES=(
    "SlamExe"
    
)

echo "Available modules:"
for i in "${!MODULES[@]}"; do
    echo "$((i + 1)): ${MODULES[i]}"
done

# Ask the user to select a module
read -p "Select a moduel by number: " user_input

# Validate the user input
if ! [[ "$user_input" =~ ^[0-9]+$ ]] || [ "$user_input" -le 0 ] || [ "$user_input" -gt "${#MODULES[@]}" ]; then
    echo "Invalid selection."
    exit 1
fi

# Get the selected name
selected_name="${MODULES[$((user_input - 1))]}"

declare -A scripts
scripts=(
    ["SlamExe"]="/home/mdc/wks/packager/binaries/slam_SlamExe"
    
)

module_path=${scripts[$selected_name]}

# Run the specific script based on the selected name
if [ -n "$module_path" ]; then
    echo "Running script for $selected_name: $script_path"
    sshpass -p my_password ssh -t -p 22 -o StrictHostKeyChecking=no root@192.168.13.1 "cd $module_path && bash start.sh && sleep 1" 
else
    echo "No script found for $selected_name at $module_path."
fi